EDIT - feature request #8006

Improve labels for taxon relationships
01/22/2019 12:53 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.5

Severity: normal

Description

labels should start with "is ..." and should use small laters where appropriate. Similar to #7857

Related issues:

Related to EDIT - bug #7857: Update name relationship type representations an... Closed
Related to EDIT - bug #7514: Change direct and inverse symbol for pro parte s... Closed
Related to EDIT - bug #7772: Rename TermBase_inverseRepresentation to Defined... Closed
Copied to EDIT - bug #8007: Improve labels for concept relationships New
Copied to EDIT - feature request #9767: Improve labels for concept relationships Duplicate

Associated revisions

Revision a2228e59 - 02/25/2019 08:49 PM - Andreas Miiller
ref #8006 update labels for MAN, ppSynonyms, inval. desig. & tax. included

Revision 26dbefd5 - 02/25/2019 08:49 PM - Andreas Miiller
ref #8006, ref #7514 , ref #7857 fix TermRepresentationUpdater sql

Revision 6cd6cbd2 - 04/15/2019 03:52 PM - Andreas Miiller
ref #8006 update labels for MAN, ppSynonyms, inval. desig. & tax. included

Revision 08f94ac8 - 04/15/2019 03:52 PM - Andreas Miiller
ref #8006, ref #7514 , ref #7857 fix TermRepresentationUpdater sql

History

#1 - 01/22/2019 12:53 PM - Andreas Miiller
- Related to bug #7857: Update name relationship type representations and symmetrie added

#2 - 01/22/2019 12:53 PM - Andreas Miiller

- Related to bug #7514: Change direct and inverse symbol for pro parte synonym and misapplied name relationship types. added

#3 - 01/22/2019 01:22 PM - Andreas Miiller
- Subject changed from improve labels for taxon relationships to Improve labels for taxon relationships

- Status changed from New to Resolved

#4 - 01/22/2019 01:22 PM - Andreas Miiller
- % Done changed from 0 to 50

#5 - 01/22/2019 01:25 PM - Andreas Miiller
- Related to bug #8007: Improve labels for concept relationships added

#6 - 01/22/2019 01:26 PM - Andreas Miiller

concept relationship labels moved to #8007

#7 - 01/22/2019 01:26 PM - Andreas Miller
- Related to deleted (bug #8007: Improve labels for concept relationships)

#8 - 01/22/2019 01:26 PM - Andreas Miiller
- Copied to bug #8007: Improve labels for concept relationships added

#9 - 02/21/2019 12:13 PM - Andreas Miiller

- Related to bug #7772: Rename TermBase_inverseRepresentation to DefinedTermBase_InverseRepresentation added

#10 - 09/17/2021 12:01 PM - Andreas Miiller

- Copied to feature request #9767: Improve labels for concept relationships added

#11 - 09/17/2021 12:08 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Looks correct in production databases

SELECT r.text, r.abbreviatedLabel, r.label, r.plural, r.language_id, dtb.titleCache, dtb.idInVocabulary, dtb.
symbol, dtb.symbol2, dtb.id, dtb.vocabulary_id

FROM Representation r INNER JOIN DefinedTermBase_Representation MN ON MN.representations_id = r.id

INNER JOIN DefinedTermBase dtb ON dtb.id = MN.DefinedTermBase_id

WHERE r.label = 'is taxonomically included in' OR dtb.vocabulary_id IN (24)
SELECT r.text, r.abbreviatedLabel, r.label, r.plural, r.language_id, dtb.titleCache, dtb.idInVocabulary, dtb.
symbol, dtb.symbol2, dtb.id, dtb.vocabulary_id

FROM Representation r INNER JOIN DefinedTermBase_InverseRepresentation MN ON MN.inverseRepresentations_id = r.
id

INNER JOIN DefinedTermBase dtb ON dtb.id = MN.DefinedTermBase_id

WHERE r.label = 'is taxonomically included in' OR dtb.vocabulary_id IN (24)

(for E+M)
